\documentclass[fleqn,twoside]{answers}
\usepackage{url}


% === dates ====
\RequirePackage{ifthen}
\let\oldtoday\today
\def\today{%
  \number\year-\ifcase\month\or%
  Jan\or Feb\or Mar\or Apr\or May\or Jun\or%
  Jul\or Aug\or Sep\or Oct\or Nov\or Dec\fi%
  -\ifthenelse{\number\day<10}{0}{}\number\day%
}

\begin{document}\pagestyle{empty}\thispagestyle{empty}
\setlength{\unitlength}{1in}%
\noindent\begin{picture}(0,0)
\put(0,-1.25){\begin{minipage}{\textwidth}
  \begin{center}
    \Large Answers to \\[1.5ex]
    \LARGE Theory of Computation \\[1.5ex]
    \Large Jim Hef{}feron \\[0.5ex]
    % \url{joshua.smcvt.edu/computation} \\[0.5ex]
    \large\href{https://hefferon.net/computation}{https://hefferon.net/computation}
  \end{center}
  \end{minipage}}
\put(0,-5.5){\begin{minipage}{\textwidth}
  \begin{center}
    % \includegraphics[width=\textwidth]{pix/newtonstree.jpg}
    \includegraphics[width=0.6\textwidth]{automata/pix/flauros.jpg}
  \end{center}
  \end{minipage}}
\end{picture}
\clearpage
\vspace*{1in}
% \begin{center}
% \fbox{\parbox{0.95\textwidth}{
%   These answers are for the book version compiled \today.
%   If you find an error, I'd be very glad for a bug report. 
%   Please send to the contact information given at 
%   \href{https://hefferon.net}{\texttt{hefferon.net}}.
%   }}
% \end{center}
\par\noindent{\Large\bfseries About these answers}
\vspace{3ex}

% My friend William Zwicker from Union College describes what
% he calls the
% Clock Problem Problem.
% An example of a Clock Problem is:~between 4:38~pm on Tuesday and 5:15~am 
% Saturday, how many times will a clock's minute hand pass
% its hour hand?

% Bill saw a writeup of a complete solution to this class of problems.
% However, he observed, we don't ask this question for the answer.
% We ask it to give a challenging thinking problem to a bright student,
% in complete precision.
% That is, the point of some problems 
% is simply for students to do them.
 
A person who provides answers to 
text exercises has decisions:~some exercises or all?
or maybe all exercises to instructors only?
complete answers or summaries?
if summaries, what about proofs?.

The point of many of exercises is for students
to do them, and no doubt struggle with some.
Providing complete answers therefore has risks, including that
some students will just read the question and then read the answer and
so proceed with the sense that they understand, which is wrong.
But weighed against that is the worry that providing 
incomplete answers or hints,
or incomplete lists of answers such as odd only, 
can leave an honestly-trying person 
with no way to see what it is that they didn't see.

I have here provided complete answers, to all exercises.
My judgement is that my first attention is to
people honestly trying.
In particular, I expect that a good number of readers 
are working independently
and in the absence of an instructor the potential for help
is greater than the potential for harm.

In addition I find that doing the complete answers makes the questions better
because as I do them I am checking that the section contains all the needed
prerequisites for the answer,
that the question is clear, 
and I often go back to adjust or edit either the question or the section body.
Besides, I enjoy doing them, and there might as well be at least one 
person having a good time.

I am sometimes asked by instructors to provide a download of 
answers for some exercises, and to send out the rest 
only to instructors.
Putting aside the increased email burden for something that
I give away, and that I have no
way of knowing who is who, I'll say that
the askers have a different idea than I do of the relationship
between undergraduates and the Internet.
My experience has been that as with, say, 
a broad market Calculus text, any student will be
able within minutes to get the complete answer document. 


\begin{flushright}
  \begin{tabular}{l@{}}
    Jim Hef{}feron   \\
    University of Vermont  
  \end{tabular}
\end{flushright}


\vspace*{0pt plus 1fill}
\begin{flushright}
  \begin{minipage}{3in}
  \hspace{-1.5em}\textit{Cover:} Flauros, the sixty-fourth demon 
  and the Duke of Hell,
  who gives true answers of all things past, present, and future.
  Although, you should verify what he says for yourself.
  (Unless you can get him inside a triangle and then you're good, 
  although whether a triangle of roads, or rivers, or planets, is most unclear.)
  From \textit{Dictionnaire Infernal}, Jacques Albin Simon Collin de~Plancy, 
  1863. 
  \end{minipage} \\[2ex]
  \begin{minipage}{3in}
    \hspace{-1.5em}This PDF was compiled \today.
  \end{minipage}
\end{flushright}

\include{answerbody}
\end{document}